
.form {
    overflow-y: auto;
    overflow-x: hidden;
    min-width: 800px !important;
    max-height: 50vh !important;
    padding: 20px;
    font-family: system-ui;
    text-align: center;
}

.form .details-container {
    display: grid;
    grid-template-columns: auto auto;
    column-gap: 10px;
    align-content: center;
}

.form-item-1{
    grid-column-start: 1;
    grid-column-end: 3;
}

.form .details-header{
    display: grid;
    grid-template-columns: auto;
    justify-content: left;
}

.form-head {
    position: relative;
    margin-bottom: 15px
}

.form-item {
    position: relative;
    margin-bottom: 15px
}


.form-item-2 {
    grid-column-start: 1;
    grid-column-end: 3;
}
/*
    
.form-item input {
    display: block;
    width: 100%;
    height: 40px;
    background: transparent;
    border: solid 1px #ccc;
    transition: all .2s ease;
    padding: 0 15px;
    border-radius: 5px;
}

.form-item input:focus {
    border-color: blue
}

.form-item label {
    position: absolute;
    cursor: text;
    z-index: 2;
    top: 11px;
    left: 10px;
    font-size: 12px;
    font-weight: bold;
    background: #fff;
    padding: 0 3px;
    color: #999;
    transition: all .2s ease
}

.form-item-1 .form-item label {
    cursor: text;
    z-index: 2;
    top: 11px;
    left: 10px;
    font-size: 12px;
    font-weight: bold;
    background: #fff;
    padding: 0 3px;
    color: #999;
    transition: all .2s ease;
    font-size: 12px;
    top: -8px;
}

.form-item-1 .form-item select {
    display: block;
    max-width: 100% !important;
    height: 40px;
    background: transparent;
    border: solid 1px #ccc;
    transition: all .2s ease;
    padding: 0 15px;
    border-radius: 5px;
    font-size:15px;
}

.form-item input:focus + label,
.form-item input:not(:placeholder-shown) + label {
    font-size: 12px;
    top: -8px;
}

.form-item input:focus + label {
    color: blue;
}
*/